import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { InstitucionUsuario } from '../institucion-usuario.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('ep.id_equipo_programa', 'id_equipo_programa')
      .addSelect('ep.id_equipo', 'id_equipo')
      .addSelect('ep.id_programa', 'id_programa')
      .from(InstitucionUsuario, 'ep'),
})
export class InformacionEquipoProgramaView {
  @ViewColumn()
  id_equipo_programa: number;

  @ViewColumn()
  id_equipo: number;

  @ViewColumn()
  id_programa: number;
}
